package com.kmall.admin.entity.mk.store;

import com.kmall.admin.dto.CheckGoodsDto;
import com.kmall.admin.entity.ProductStoreRelaEntity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 门店优惠券活动商品，参与优惠的商品实体
 * 表名 mk_store_ticket_discount_goods
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-07 16:06:28
 */
public class MkStoreTicketDiscountGoodsEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 优惠券商品id
     */
    private Integer discGoodId;
    /**
     * 优惠券id
     */
    private Integer tickDiscId;
    /**
     * 适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    private String applyType;
    /**
     * 门店商品id
     */
    private Integer storeRelaId;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private List<CheckGoodsDto> checkGoodsList;

    public List<CheckGoodsDto> getCheckGoodsList() {
        return checkGoodsList;
    }

    public void setCheckGoodsList(List<CheckGoodsDto> checkGoodsList) {
        this.checkGoodsList = checkGoodsList;
    }

    /**
     * 设置：优惠券商品id
     */
    public void setDiscGoodId(Integer discGoodId) {
        this.discGoodId = discGoodId;
    }

    /**
     * 获取：优惠券商品id
     */
    public Integer getDiscGoodId() {
        return discGoodId;
    }
    /**
     * 设置：优惠券id
     */
    public void setTickDiscId(Integer tickDiscId) {
        this.tickDiscId = tickDiscId;
    }

    /**
     * 获取：优惠券id
     */
    public Integer getTickDiscId() {
        return tickDiscId;
    }
    /**
     * 设置：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public void setApplyType(String applyType) {
        this.applyType = applyType;
    }

    /**
     * 获取：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public String getApplyType() {
        return applyType;
    }
    /**
     * 设置：门店商品id
     */
    public void setStoreRelaId(Integer storeRelaId) {
        this.storeRelaId = storeRelaId;
    }

    /**
     * 获取：门店商品id
     */
    public Integer getStoreRelaId() {
        return storeRelaId;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
